Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BoxEmitter Class Reference

Describes a voluminous box region in which particles are generated. More...

`#include "boxEmitter.h"`

Inheritance diagram for BoxEmitter:

## Public Member Functions
| BoxEmitter ()
| constructor
| BoxEmitter (const BoxEmitter &copy)
| copy constructor
virtual | ~BoxEmitter ()
| destructor
LPoint3 | get_max_bound () const
| boundary accessor
LPoint3 | get_min_bound () const
| boundary accessor
virtual BaseParticleEmitter * | make_copy ()
| copier
virtual void | output (std::ostream &out) const
| Write a string representation of this instance to <out>.
void | set_max_bound (const LPoint3 &vmax)
| boundary assignment
void | set_min_bound (const LPoint3 &vmin)
| boundary assignment
virtual void | write (std::ostream &out, int indent=0) const
| Write a string representation of this instance to <out>.
Public Member Functions inherited from BaseParticleEmitter
virtual | ~BaseParticleEmitter ()
| destructor
void | generate (LPoint3 &pos, LVector3 &vel)
| parent generation function
PN_stdfloat | get_amplitude () const
| amplitude query
PN_stdfloat | get_amplitude_spread () const
| amplitude spread query
emissionType | get_emission_type () const
| emission type query
LVector3 | get_explicit_launch_vector () const
| query for explicit emission launch vector
LVector3 | get_offset_force () const
| user-defined force
LPoint3 | get_radiate_origin () const
| query for explicit emission launch vector
void | set_amplitude (PN_stdfloat a)
| amplitude assignment
void | set_amplitude_spread (PN_stdfloat as)
| amplitude spread assignment
void | set_emission_type (emissionType et)
| emission type assignment
void | set_explicit_launch_vector (const LVector3 &elv)
| assignment of explicit emission launch vector
void | set_offset_force (const LVector3 &of)
| user-defined force
void | set_radiate_origin (const LPoint3 &ro)
| assignment of radiate emission origin point
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Additional Inherited Members
Public Types inherited from BaseParticleEmitter
enum | emissionType { ET_EXPLICIT , ET_RADIATE , ET_CUSTOM }
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.

## Detailed Description

Describes a voluminous box region in which particles are generated.

Definition at line 22 of file boxEmitter.h.

## Constructor & Destructor Documentation

## ◆ BoxEmitter() [1/2]

BoxEmitter::BoxEmitter | ( |  | ) |

constructor

Definition at line 19 of file boxEmitter.cxx.

Referenced by BoxEmitter(), and make_copy().

## ◆ BoxEmitter() [2/2]

BoxEmitter::BoxEmitter | ( | const BoxEmitter & | copy | ) |

copy constructor

Definition at line 29 of file boxEmitter.cxx.

References BoxEmitter().

## ◆ ~BoxEmitter()

BoxEmitter::~BoxEmitter | ( |  | ) |
| virtual

destructor

Definition at line 39 of file boxEmitter.cxx.

## Member Function Documentation

## ◆ get_max_bound()

LPoint3 BoxEmitter::get_max_bound | ( |  | ) | const
| inline

boundary accessor

Definition at line 41 of file boxEmitter.I.

## ◆ get_min_bound()

LPoint3 BoxEmitter::get_min_bound | ( |  | ) | const
| inline

boundary accessor

Definition at line 33 of file boxEmitter.I.

## ◆ make_copy()

BaseParticleEmitter * BoxEmitter::make_copy | ( |  | ) |
| virtual

copier

Implements BaseParticleEmitter.

Definition at line 46 of file boxEmitter.cxx.

References BoxEmitter().

## ◆ output()

void BoxEmitter::output | ( | std::ostream & | out | ) | const
| virtual

Write a string representation of this instance to <out>.

Reimplemented from BaseParticleEmitter.

Definition at line 80 of file boxEmitter.cxx.

## ◆ set_max_bound()

void BoxEmitter::set_max_bound | ( | const LPoint3 & | vmax | ) |
| inline

boundary assignment

Definition at line 25 of file boxEmitter.I.

## ◆ set_min_bound()

void BoxEmitter::set_min_bound | ( | const LPoint3 & | vmin | ) |
| inline

boundary assignment

Definition at line 17 of file boxEmitter.I.

## ◆ write()

void BoxEmitter::write | ( | std::ostream & | out,
|  | int | indent = 0 ) const
| virtual

Write a string representation of this instance to <out>.

Reimplemented from BaseParticleEmitter.

Definition at line 90 of file boxEmitter.cxx.

References indent(), and BaseParticleEmitter::write().

The documentation for this class was generated from the following files:

- panda/src/particlesystem/boxEmitter.h
- panda/src/particlesystem/boxEmitter.cxx
- panda/src/particlesystem/boxEmitter.I